#
#   Pyrex - C naming conventions
#
#
#   Prefixes for generating C names.
#   Collected here to facilitate ensuring uniqueness.
#

pyrex_prefix    = "__pyx_"

const_prefix    = pyrex_prefix + "k"
var_prefix      = pyrex_prefix + "v_"
func_prefix     = pyrex_prefix + "f_"
funcdoc_prefix  = pyrex_prefix + "doc_"
label_prefix    = pyrex_prefix + "L"

module_cname    = pyrex_prefix + "m"
moddict_cname   = pyrex_prefix + "d"
builtins_cname  = pyrex_prefix + "b"
moddoc_cname    = pyrex_prefix + "mdoc"
methtable_cname = pyrex_prefix + "methods"
self_cname      = pyrex_prefix + "self"
args_cname      = pyrex_prefix + "args"
retval_cname    = pyrex_prefix + "r"
